net.sf.jasperreports.crosstabs.fill.calculation

## Class BucketDefinition.Bucket

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.calculation.BucketDefinition.Bucket

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.Object>
  Direct Known Subclasses:
    BucketDefinition.OrderDecoratorBucket
  Enclosing class:
    BucketDefinition

      public class BucketDefinition.Bucket
      extends java.lang.Object
      implements java.lang.Comparable<java.lang.Object>

  Bucket value class.
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BucketDefinition.Bucket(byte type)` Creates a bucket for a value type.
    `protected` | `BucketDefinition.Bucket(java.lang.Object value)` Creates a bucket for a value.
    `` | `BucketDefinition.Bucket(java.lang.Object value, byte type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `BucketValueOrderDecorator.OrderPosition` | `getOrderPosition()`
    `java.lang.Object` | `getValue()` Returns the bucket value.
    `int` | `hashCode()`
    `boolean` | `isTotal()` Decides whether this is a total bucket.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BucketDefinition.Bucket

          protected BucketDefinition.Bucket(byte type)

      Creates a bucket for a value type.
      Parameters:
        `type` - the value type

    - #### BucketDefinition.Bucket

          protected BucketDefinition.Bucket(java.lang.Object value)

      Creates a bucket for a value.
      Parameters:
        `value` - the value

    - #### BucketDefinition.Bucket

          public BucketDefinition.Bucket(java.lang.Object value,
                                 byte type)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Returns the bucket value.
      Returns:
        the bucket value

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.Object>`

    - #### isTotal

          public boolean isTotal()

      Decides whether this is a total bucket.
      Returns:
        whether this is a total bucket

    - #### getOrderPosition

          public BucketValueOrderDecorator.OrderPosition getOrderPosition()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com